## Shared module ##
Overview = require 'overview'

## EVENTS LISTS #
eventsLists = [
	{
	color: Overview.teal
	lists: [{
				title: "Pinch"
				items: ["onPinchStart", "onPinch", "onPinchEnd"]
			}]
	}
	{
	color: Overview.purple
	lists: [{
				title: "Scale"
				items: ["onScaleStart","onScale","onScaleEnd"]
			}]
	}
	{
	color: Overview.orange
	lists: [{
				title: "Rotate"
				items: ["onRotateStart","onRotate","onRotateEnd"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## Reflow for phones ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	if Screen.height is 667
		layerA.width = 250
		layerA.height = 120
	else 
		layerA.width = 200
		layerA.height = 100

## EVENTS ##
layerA.onPinchStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onPinch ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onPinchEnd ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onScaleStart ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onScale ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onScaleEnd ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onRotateStart ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"

layerA.onRotate ->
	Overview.alldots[7].stateSwitch "active"
	Overview.alldots[7].animate "default"

layerA.onRotateEnd ->
	Overview.alldots[8].stateSwitch "active"
	Overview.alldots[8].animate "default"
